> ## Documentation Index
> Fetch the complete documentation index at: https://docs.halth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create funding estimate

> Check all available funding sources with the details provided.



## OpenAPI

````yaml https://api.halth.com/v1/api-yaml post /v1/funding/estimates
openapi: 3.0.0
info:
  title: HaltH API
  description: The API for the HaltH platform business services
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.halth.com
    description: Production
  - url: https://api.stg.halth.com
    description: Staging
security: []
tags: []
paths:
  /v1/funding/estimates:
    post:
      tags:
        - Funding
      summary: Create funding estimate
      description: Check all available funding sources with the details provided.
      operationId: FundingController_createFundingEstimate
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FundingEstimateCreateParams'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FundingEstimate'
components:
  schemas:
    FundingEstimateCreateParams:
      type: object
      properties:
        countryCode:
          type: string
          enum:
            - AU
          description: The country code where the transactions is occurring
          example: AU
        useCache:
          type: boolean
          description: >-
            Use cacheControl instead. Whether to use similar claims to create
            the funding estimate. Prevents duplicate claims hitting the health
            funds and going through the claim and void process.
          example: true
          default: false
          deprecated: true
        transactionType:
          enum:
            - standard
            - late_cancellation
            - no_show
          type: string
        organisationId:
          type: string
        serviceProvider:
          $ref: '#/components/schemas/FundingEstimateServiceProviderParams'
        items:
          minItems: 1
          maxItems: 100
          type: array
          items:
            $ref: '#/components/schemas/TransactionItem'
        phi:
          $ref: '#/components/schemas/TransactionFundingPhiParams'
        invite:
          $ref: '#/components/schemas/FundingEstimateInviteParams'
      required:
        - countryCode
        - transactionType
        - organisationId
        - items
    FundingEstimate:
      type: object
      properties:
        totalGapAmount:
          type: number
          description: The total gap amount for the funding estimate
          example: 100
        totalRebateAmount:
          type: number
        totalChargeAmount:
          type: number
        items:
          type: array
          items:
            $ref: '#/components/schemas/FundingEstimateItem'
        phi:
          $ref: '#/components/schemas/FundingEstimatePhi'
        medicare:
          $ref: '#/components/schemas/FundingEstimateMedicare'
      required:
        - totalGapAmount
        - totalRebateAmount
        - totalChargeAmount
        - items
    FundingEstimateServiceProviderParams:
      type: object
      properties:
        locationId:
          type: string
        providerId:
          type: string
      required:
        - locationId
        - providerId
    TransactionItem:
      type: object
      properties:
        id:
          type: string
        description:
          type: string
        type:
          type: string
          enum:
            - charge
            - discount
            - icd_code
        chargeAmount:
          type: number
        clinicalCode:
          type: string
        itemCode:
          type: string
        billableItemId:
          type: string
        billableItem:
          $ref: '#/components/schemas/BillableItem'
        appointmentTypeId:
          type: string
      required:
        - type
        - chargeAmount
    TransactionFundingPhiParams:
      type: object
      properties:
        cacheControl:
          enum:
            - no-cache
            - use-cache
            - only-cache
          type: string
          description: >-
            Controls caching behaviour for rebate estimate creation.

            `no-cache` — Always fetch fresh data, bypass cache entirely.

            `use-cache` — Return cached result if available, otherwise fetch
            fresh.

            `only-cache` — Return cached result only; fail if no cache entry
            exists.
          example: use-cache
          default: no-cache
        healthFundCardId:
          type: string
        patient:
          $ref: '#/components/schemas/PhiPatientParams'
      required:
        - healthFundCardId
    FundingEstimateInviteParams:
      type: object
      properties:
        inviteCode:
          type: string
          maxLength: 100
      required:
        - inviteCode
    FundingEstimateItem:
      type: object
      properties:
        id:
          type: string
        funding:
          type: array
          items:
            type: object
            properties:
              source:
                enum:
                  - phi
                  - medicare
                  - provider_invite
                type: string
              fundingAmount:
                type: number
              claimResponse:
                $ref: '#/components/schemas/ClaimResponse'
            required:
              - source
              - fundingAmount
        totalFundingAmount:
          type: number
      required:
        - id
        - funding
        - totalFundingAmount
    FundingEstimatePhi:
      type: object
      properties:
        message:
          type: string
        response:
          $ref: '#/components/schemas/ClaimResponse'
        claim:
          $ref: '#/components/schemas/PhiClaim'
    FundingEstimateMedicare:
      type: object
      properties:
        message:
          type: string
        response:
          $ref: '#/components/schemas/ClaimResponse'
    BillableItem:
      type: object
      properties:
        name:
          type: string
          description: Short description of the item
        basePrice:
          type: number
          description: Price before tax
        totalPrice:
          type: number
          description: Price including tax
        taxAmount:
          type: number
          description: Tax amount
        taxRate:
          type: number
          description: Tax rate
        itemCode:
          type: string
          nullable: true
          description: Item code for funding and claiming
        serviceItem:
          description: The service item linked to the item code on this billable item
          allOf:
            - $ref: '#/components/schemas/ServiceItem'
        type:
          enum:
            - service
            - product
            - class
            - other
          type: string
          description: Type of billable item
        pmsBillableItemId:
          type: string
          description: PMS assigned ID
        id:
          type: string
      required:
        - name
        - basePrice
        - totalPrice
        - taxAmount
        - taxRate
        - type
        - id
    PhiPatientParams:
      type: object
      properties:
        referenceNumber:
          type: string
          minLength: 1
          maxLength: 2
          pattern: /^0?[0-9]$/
          description: Default reference number
          example: '1'
    ClaimResponse:
      type: object
      properties:
        typeCode:
          type: string
          enum:
            - approved
            - declined
        reasonCode:
          type: string
          enum:
            - provider_not_registered
            - invalid_item_code
            - no_claimable_items
            - health_fund_not_supported
            - reference_number_required
            - risk_declined
            - card_pending
        adviceCode:
          type: string
          enum:
            - confirm_claim_data
            - try_again_later
            - do_not_try_again
      required:
        - typeCode
    PhiClaim:
      type: object
      properties:
        id:
          type: string
        referenceNumber:
          type: string
        status:
          enum:
            - created
            - submitted
            - confirmed
            - cancelled
            - rejected
            - voided
          type: string
        createdAt:
          format: date-time
          type: string
        isRebateEstimate:
          type: boolean
        totalChargeAmount:
          type: number
        totalRebateAmount:
          type: number
        totalGapAmount:
          type: number
        serviceTypeCode:
          enum:
            - F
            - '3'
            - '4'
            - '5'
            - '6'
            - '7'
            - '8'
            - '9'
            - P
            - M
            - '1'
            - E
            - U
            - C
            - S
            - B
            - 'N'
            - H
            - Z
            - '0'
            - '2'
            - V
            - T
            - O
            - A
            - L
            - R
            - G
            - Q
            - X
            - W
            - I
            - K
            - 'Y'
            - D
          type: string
        providerNumber:
          type: string
        cancelledAt:
          format: date-time
          type: string
        voidedAt:
          format: date-time
          type: string
        items:
          type: array
          items:
            $ref: '#/components/schemas/PhiClaimItem'
        response:
          $ref: '#/components/schemas/PhiClaimResponse'
        device:
          $ref: '#/components/schemas/Device'
        serviceType:
          $ref: '#/components/schemas/ServiceType'
        healthFund:
          $ref: '#/components/schemas/HealthFund'
        payment:
          $ref: '#/components/schemas/PhiClaimPayment'
        provider:
          type: object
          properties:
            providerNumber:
              type: string
            name:
              type: string
            categoryCode:
              type: string
            serviceTypeCode:
              enum:
                - F
                - '3'
                - '4'
                - '5'
                - '6'
                - '7'
                - '8'
                - '9'
                - P
                - M
                - '1'
                - E
                - U
                - C
                - S
                - B
                - 'N'
                - H
                - Z
                - '0'
                - '2'
                - V
                - T
                - O
                - A
                - L
                - R
                - G
                - Q
                - X
                - W
                - I
                - K
                - 'Y'
                - D
              type: string
          required:
            - providerNumber
            - name
            - categoryCode
            - serviceTypeCode
        rules:
          $ref: '#/components/schemas/PhiClaimRules'
      required:
        - id
        - referenceNumber
        - status
        - createdAt
        - isRebateEstimate
        - totalChargeAmount
        - totalRebateAmount
        - totalGapAmount
        - serviceTypeCode
        - providerNumber
        - items
        - device
        - serviceType
        - healthFund
        - rules
    ServiceItem:
      type: object
      properties:
        id:
          type: string
        description:
          type: string
        itemCode:
          type: string
        category:
          type: string
        source:
          enum:
            - phi
            - medicare
          type: string
      required:
        - id
        - itemCode
        - category
        - source
    PhiClaimItem:
      type: object
      properties:
        id:
          type: string
        chargeAmount:
          type: number
        itemCode:
          type: string
        serviceDate:
          format: date-time
          type: string
        serviceReference:
          type: string
        patientReferenceNumber:
          type: string
        rebateAmount:
          type: number
        itemDescription:
          type: string
        itemName:
          type: string
        response:
          $ref: '#/components/schemas/PhiClaimItemResponse'
      required:
        - id
        - chargeAmount
        - itemCode
        - serviceDate
        - patientReferenceNumber
        - rebateAmount
    PhiClaimResponse:
      type: object
      properties:
        statusCode:
          type: string
        responseCode:
          type: string
        freeText:
          type: string
    Device:
      type: object
      properties:
        terminalId:
          type: string
    ServiceType:
      type: object
      properties:
        code:
          type: string
        name:
          type: string
      required:
        - code
        - name
    HealthFund:
      type: object
      properties:
        id:
          enum:
            - ACA
            - AUNITY
            - BUPA
            - HCF
            - NAVY
            - UNI
            - FRANK
            - HIWA
            - QCH
            - TERR
            - DEFH
            - ONEMED
            - SEEU
            - LATRO
            - RT
            - TUH
            - UNION
            - POLICE
            - PHNX
            - ADF
            - HPART
            - STLUK
            - ASTUTE
            - RBHS
            - DOC
            - ING
            - PRICE
            - REAL
            - SNRS
            - IMAN
            - TEST
            - BUDGET
            - AHM
            - CBHSC
            - MEDIB
            - TEACH
            - HLTEST
            - HBF
            - GMHBA
            - PEOPLE
            - CBHS
            - WEST
            - HCI
            - AIA
            - AAMI
            - APIA
            - QANTAS
            - SUN
            - NIB
            - MILD
            - GU
          type: string
        name:
          type: string
        capabilities:
          $ref: '#/components/schemas/HealthFundCapabilities'
      required:
        - id
        - name
        - capabilities
    PhiClaimPayment:
      type: object
      properties:
        paymentAmount:
          type: number
        bankAccountNumberLast4:
          type: string
        bankAccountBsb:
          type: string
        paymentDate:
          format: date-time
          type: string
        paymentReference:
          type: string
      required:
        - paymentAmount
        - bankAccountNumberLast4
        - bankAccountBsb
        - paymentDate
        - paymentReference
    PhiClaimRules:
      type: object
      properties:
        reversal:
          type: object
          properties:
            enabled:
              type: boolean
          required:
            - enabled
      required:
        - reversal
    PhiClaimItemResponse:
      type: object
      properties:
        statusCode:
          type: string
        responseCode:
          type: string
    HealthFundCapabilities:
      type: object
      properties:
        claims:
          type: string
          enum:
            - active
            - inactive
        rebatesEstimates:
          type: string
          enum:
            - active
            - inactive
      required:
        - claims
        - rebatesEstimates

````